Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.util
Class CombiningMap

    java.lang.Object
      java.util.AbstractMap
          org.apache.cocoon.forms.util.CombiningMap

All Implemented Interfaces:
  Map

public class CombiningMap
extends AbstractMap

A read-only implementation of `Map` that combines several other maps.

Version:
  $Id: CombiningMap.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`protected List` | `maps`

Constructor Summary
`CombiningMap()`

Method Summary
`CombiningMap` | `add(Map map)` Adds a `Map` in the combined map, with the lowest lookup priority.
`boolean` | `containsKey(Object key)`
`Set` | `entrySet()`
`Object` | `get(Object key)`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsValue, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### maps

    protected List maps

Constructor Detail

### CombiningMap

    public CombiningMap()

Method Detail

### add

    public CombiningMap add(Map map)

  Adds a `Map` in the combined map, with the lowest lookup priority.

  New maps cannot be added if this object was already iterated.

  Parameters:
    `map` - the new map
  Returns:
    this object, as a convenience to write `combiner.add(map1).add(map2).add(map3)`

### get

    public Object get(Object key)

### containsKey

    public boolean containsKey(Object key)

### entrySet

    public Set entrySet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.